> ## Documentation Index
> Fetch the complete documentation index at: https://docs.data-hub.verolabs.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instrument

> GET /v1/instruments/{symbol} — get one instrument

Fetch metadata for a single instrument by symbol.

<CardGroup cols={2}>
  <Card title="Instrument metadata" icon="circle-check">
    Returns symbol, asset class, exchange, currency and status.
  </Card>

  <Card title="Direct lookup" icon="circle-check">
    Useful after a user selects a symbol from search.
  </Card>
</CardGroup>

## Common use cases

* Open an instrument detail page.
* Validate a symbol before requesting historical data.
* Show symbol metadata in a chart or dashboard.

## Key parameter

* `symbol`: instrument identifier, for example `BTCUSDT`.


## OpenAPI

````yaml GET /v1/instruments/{symbol}
openapi: 3.0.3
info:
  title: Vero Data Hub API
  version: 1.0.0
  description: >-
    REST API cho dữ liệu thị trường, dữ liệu tham chiếu, dữ liệu cơ bản, quỹ, dữ
    liệu vĩ mô, tin tức và độ mới dữ liệu.
servers:
  - url: https://api-gw.verolabs.co
    description: Base URL của API
security:
  - ApiKeyAuth: []
tags:
  - name: reference
  - name: tick
  - name: candles
  - name: fx
  - name: bonds
  - name: macro
  - name: sentiment
  - name: calendar
  - name: funds
  - name: fa
  - name: news
  - name: ops
paths:
  /v1/instruments/{symbol}:
    get:
      tags:
        - reference
      summary: Chi tiết mã giao dịch
      parameters:
        - name: symbol
          in: path
          required: true
          schema:
            type: string
            example: BTCUSDT
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Instrument'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '503':
          $ref: '#/components/responses/Unavailable'
components:
  schemas:
    Instrument:
      type: object
      required:
        - symbol
        - asset_class
        - status
      properties:
        symbol:
          type: string
        asset_class:
          type: string
        exchange:
          type: string
          nullable: true
        base:
          type: string
          nullable: true
        quote:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        isin:
          type: string
          nullable: true
        status:
          type: string
        listing_date:
          type: string
          format: date
          nullable: true
        delisting_date:
          type: string
          format: date
          nullable: true
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
          example: invalid-param
        title:
          type: string
          example: Tham số truy vấn không hợp lệ
        status:
          type: integer
          example: 400
        detail:
          type: string
          example: cần có tham số "from"
        instance:
          type: string
        request_id:
          type: string
  responses:
    Unauthorized:
      description: Thiếu hoặc sai API key.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    NotFound:
      description: Không tìm thấy tài nguyên
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    Unavailable:
      description: API tạm thời không sẵn sàng.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key được cấp cho tài khoản của bạn.

````